# Syncthing - File synchronization
# Port: 8384 (web), 22000 (sync)
# Continuous file synchronization between devices
services:
  syncthing:
    container_name: syncthing
    ports:
      - 8384:8384
      - 22000:22000/tcp
      - 22000:22000/udp
      - 21027:21027/udp
    environment:
      - PUID=1026
      - PGID=100
      - TZ=America/Los_Angeles
      - DOCKER_MODS=ghcr.io/themepark-dev/theme.park:syncthing
      - TP_SCHEME=http
      - TP_DOMAIN=192.168.0.200:8580
      - TP_THEME=dracula
    volumes:
      - /volume1/docker/syncthing/config:/config
      - /volume1/docker/syncthing/data1:/data1
      - /volume1/docker/syncthing/data2:/data2
    restart: unless-stopped
    image: ghcr.io/linuxserver/syncthing
